Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate.nrl
Class NrlSchemaReceiverFactory

    java.lang.Object
      com.thaiopensource.validate.nrl.NrlSchemaReceiverFactory

All Implemented Interfaces:
  SchemaReceiverFactory

    public class NrlSchemaReceiverFactory

extends Object
implements SchemaReceiverFactory

Field Summary

Fields inherited from interface com.thaiopensource.validate.auto.SchemaReceiverFactory
`PROPERTY`

Constructor Summary
`NrlSchemaReceiverFactory()`

Method Summary
`SchemaReceiver` | `createSchemaReceiver(String namespaceUri, PropertyMap properties)`
`Option` | `getOption(String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NrlSchemaReceiverFactory

    public NrlSchemaReceiverFactory()

Method Detail

### createSchemaReceiver

    public SchemaReceiver createSchemaReceiver(String namespaceUri,
                                               PropertyMap properties)

  Specified by:
    `createSchemaReceiver` in interface `SchemaReceiverFactory`

### getOption

    public Option getOption(String uri)

  Specified by:
    `getOption` in interface `SchemaReceiverFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD